package classinfo;

import java.util.Vector;


public class ConstantPoolReference {
  private int CPIndex;
  private Vector constantPool;

  public ConstantPoolReference(int index, Vector constantPool) {
    this.CPIndex = index;
    this.constantPool = constantPool;
  }

  public int index() { return CPIndex; }
  public int index(int newIndex) {
    int old = CPIndex;
    CPIndex = newIndex;
    return old;
  }

  public String toString() {
    StringBuffer buf = new StringBuffer(BufManager.STRING_BUFFER_SIZE);

    buf.append("#");
    buf.append(CPIndex);

    if (CPIndex > 0) {
      buf.append("{");
      buf.append(((ConstantInPool)constantPool.elementAt(CPIndex)).value());
      buf.append("}");
    }

    return buf.toString();
  }
}
